Security update for python3

SUSE Security Update: Security update for python3
Announcement ID: SUSE-SU-2021:0529-1
Rating: moderate
References: #1176262 #1179756 #1180686 #1181126
Cross-References:CVE-2019-20916 CVE-2021-3177
Affected Products:
  • SUSE Linux Enterprise Module for Development Tools 15-SP2
  • SUSE Linux Enterprise Module for Basesystem 15-SP2

An update that solves two vulnerabilities and has two fixes is now available.

Description:

This update for python3 fixes the following issues:

  • CVE-2021-3177: Fixed buffer overflow in PyCArg_repr in _ctypes/callproc.c, which may lead to remote code execution (bsc#1181126).
  • Provide the newest setuptools wheel (bsc#1176262, CVE-2019-20916) in their correct form (bsc#1180686).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Development Tools 15-SP2:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-15-SP2-2021-529=1
  • SUSE Linux Enterprise Module for Basesystem 15-SP2:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP2-2021-529=1

Package List:

  • SUSE Linux Enterprise Module for Development Tools 15-SP2 (aarch64 ppc64le s390x x86_64):
    • python3-tools-3.6.12-3.75.1
  • SUSE Linux Enterprise Module for Basesystem 15-SP2 (aarch64 ppc64le s390x x86_64):
    • libpython3_6m1_0-3.6.12-3.75.1
    • libpython3_6m1_0-debuginfo-3.6.12-3.75.1
    • python3-3.6.12-3.75.1
    • python3-base-3.6.12-3.75.1
    • python3-curses-3.6.12-3.75.1
    • python3-curses-debuginfo-3.6.12-3.75.1
    • python3-dbm-3.6.12-3.75.1
    • python3-dbm-debuginfo-3.6.12-3.75.1
    • python3-debuginfo-3.6.12-3.75.1
    • python3-debugsource-3.6.12-3.75.1
    • python3-devel-3.6.12-3.75.1
    • python3-devel-debuginfo-3.6.12-3.75.1
    • python3-idle-3.6.12-3.75.1
    • python3-tk-3.6.12-3.75.1
    • python3-tk-debuginfo-3.6.12-3.75.1

References: